// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

hsmod[hsmod.length]="understand_c_html";

var wwhtop = foldersTree;

var wwh68909=new Folder("Chapter 1 Understand for C++Introduction", "intro.htm#582316");
wwhtop.addChild(wwh68909);

var wwh68911=new Folder("Introduction ", "intro2.htm#554938");
wwh68909.addChild(wwh68911);

wwh68911.addChild(new Item("What is Understand for C++? ", "intro2.htm#582642"));
wwh68911.addChild(new Item("C/C++ Versions Supported ", "intro2.htm#590543"));
wwh68911.addChild(new Item("Use the Server Mode To Integrate With Your IDE ", "intro2.htm#585552"));
wwh68911.addChild(new Item("For those who don't like to read manuals ", "intro2.htm#590728"));
var wwh68921=new Folder("Parts and Terminology ", "intro3.htm#587390");
wwh68909.addChild(wwh68921);

wwh68921.addChild(new Item("Parts ", "intro3.htm#587468"));
wwh68921.addChild(new Item("Terminology ", "intro3.htm#587711"));
wwh68909.addChild(new Item("Right Click Menus Are Everywhere ", "intro4.htm#590749"));
var wwh68929=new Folder("What Information Does Understand for C++ Provide? ", "intro5.htm#591189");
wwh68909.addChild(wwh68929);

wwh68929.addChild(new Item("Views of Your Project ", "intro5.htm#583072"));
var wwh68933=new Folder("Quickly Navigate and Find Things in Your Source ", "intro6.htm#589479");
wwh68909.addChild(wwh68933);

wwh68933.addChild(new Item("Project Window ", "intro6.htm#589480"));
wwh68933.addChild(new Item("Locator Window ", "intro6.htm#589501"));
wwh68933.addChild(new Item("Using HyperGrep to Explore ", "intro6.htm#591487"));
wwh68909.addChild(new Item("The Information Browser Shows It All ", "intro7.htm#591642"));
wwh68909.addChild(new Item("A Source Editor that Provides Information Wherever You Look ", "intro8.htm#591677"));
wwh68909.addChild(new Item("Hierarchy views show multi-level relationships ", "intro9.htm#591614"));
wwh68909.addChild(new Item("Structure Views Quickly Show Structure and Relations ", "intro10.htm#590148"));
wwh68909.addChild(new Item("ASCII and HTML Reports ", "intro11.htm#583954"));
wwh68909.addChild(new Item("PERL and C APIs for Custom Reporting ", "intro12.htm#592212"));
var wwh68953=new Folder("Chapter 2 Analyzing Your Source Code", "build.htm#586577");
wwhtop.addChild(wwh68953);

wwh68953.addChild(new Item("Like a Compiler ", "build2.htm#584501"));
wwh68953.addChild(new Item("Creating a New Project ", "build3.htm#598680"));
var wwh68959=new Folder("Adding Source Files to a Project ", "build4.htm#598718");
wwh68953.addChild(wwh68959);

wwh68959.addChild(new Item("Right-click Menus ", "build4.htm#588966"));
wwh68959.addChild(new Item("Filename Changes within a Project ", "build4.htm#592197"));
var wwh68965=new Folder("Working with MSVC Projects ", "build5.htm#603683");
wwh68953.addChild(wwh68965);

wwh68965.addChild(new Item("Specifying the MSVC Project File ", "build5.htm#603776"));
wwh68965.addChild(new Item("Specifying the MSVC Project ", "build5.htm#603794"));
var wwh68971=new Folder("Project Configuration Settings ", "build6.htm#597202");
wwh68953.addChild(wwh68971);

wwh68971.addChild(new Item("Project Options ", "build6.htm#599988"));
wwh68971.addChild(new Item("Include Paths ", "build6.htm#597457"));
wwh68971.addChild(new Item("Ignore Includes ", "build6.htm#600194"));
wwh68971.addChild(new Item("Pre-Processor Macros (#define) ", "build6.htm#591004"));
wwh68971.addChild(new Item("Specifying Macros and Include Paths in Bulk ", "build6.htm#602942"));
wwh68971.addChild(new Item("File Types ", "build6.htm#592522"));
wwh68971.addChild(new Item("Save Project Configuration ", "build6.htm#592427"));
wwh68953.addChild(new Item("Analyzing the Code ", "build7.htm#602524"));
wwh68953.addChild(new Item("Output Reports ", "build8.htm#602559"));
wwh68953.addChild(new Item("Quick Project Updating ", "build9.htm#602743"));
var wwh68993=new Folder("Chapter 3 Exploring Your Code with Understand for C++", "ib.htm#608773");
wwhtop.addChild(wwh68993);

wwh68993.addChild(new Item("Introduction ", "ib.htm#608774"));
wwh68993.addChild(new Item("PLEASE RIGHT CLICK ", "ib2.htm#620134"));
var wwh68999=new Folder("Various Windows Explained... ", "ib3.htm#621612");
wwh68993.addChild(wwh68999);

wwh68999.addChild(new Item(" Project Window Area ", "ib3.htm#588094"));
wwh68999.addChild(new Item("Filter Area ", "ib3.htm#650964"));
wwh68999.addChild(new Item("Root Filters ", "ib3.htm#644449"));
wwh68999.addChild(new Item("Files Tree ", "ib3.htm#653626"));
wwh68999.addChild(new Item("Tabs or Pulldown ", "ib3.htm#650422"));
wwh68999.addChild(new Item("Information Browser ", "ib3.htm#608870"));
wwh68999.addChild(new Item("Locator Window ", "ib3.htm#627219"));
wwh68999.addChild(new Item("Hyper Grep ", "ib3.htm#651476"));
wwh68999.addChild(new Item("Hierarchy Browser ", "ib3.htm#622915"));
wwh68999.addChild(new Item("Declaration Browser ", "ib3.htm#588196"));
var wwh69021=new Folder("Information Browser ", "ib4.htm#616382");
wwh68993.addChild(wwh69021);

wwh69021.addChild(new Item("Drilling Down A Relationship ", "ib4.htm#616608"));
wwh69021.addChild(new Item("Drilling Down Efficiently ", "ib4.htm#616946"));
wwh69021.addChild(new Item("Sharing Information Browser Info (Printing and Copying/Pasting ", "ib4.htm#617850"));
wwh69021.addChild(new Item("Visiting Source Code ", "ib4.htm#627618"));
wwh69021.addChild(new Item("Right Click Menu Source Visiting ", "ib4.htm#627656"));
wwh69021.addChild(new Item("One Click Visiting References ", "ib4.htm#629965"));
wwh69021.addChild(new Item("Entity History ", "ib4.htm#630791"));
var wwh69037=new Folder("Graphical View Browsers ", "ib5.htm#630793");
wwh68993.addChild(wwh69037);

wwh69037.addChild(new Item("Launching Graphic Views ", "ib5.htm#631046"));
wwh69037.addChild(new Item("General Rules for Using the Graphical Browsers ", "ib5.htm#631067"));
wwh69037.addChild(new Item("Reuse Checkbox ", "ib5.htm#631504"));
wwh69037.addChild(new Item("Graphical Browser History ", "ib5.htm#634021"));
wwh69037.addChild(new Item("Graphic Hierarchical Views Available ", "ib5.htm#653045"));
wwh69037.addChild(new Item("Graphic Declaration Views Available ", "ib5.htm#653060"));
var wwh69051=new Folder("Controlling Graphics Layout ", "ib6.htm#652931");
wwh68993.addChild(wwh69051);

wwh69051.addChild(new Item("Scale Menu ", "ib6.htm#589103"));
wwh69051.addChild(new Item("Text Menu ", "ib6.htm#589116"));
wwh69051.addChild(new Item("Function Pointer ", "ib6.htm#589215"));
wwh69051.addChild(new Item("Layout ", "ib6.htm#643728"));
wwh69051.addChild(new Item(" Level ", "ib6.htm#643738"));
wwh69051.addChild(new Item("Unresolved ", "ib6.htm#653431"));
wwh69051.addChild(new Item("Parameters ", "ib6.htm#643749"));
wwh69051.addChild(new Item("Type Text ", "ib6.htm#643757"));
wwh69051.addChild(new Item("Includes ", "ib6.htm#643759"));
wwh69051.addChild(new Item("Included By ", "ib6.htm#643760"));
wwh69051.addChild(new Item("Static ", "ib6.htm#643762"));
wwh69051.addChild(new Item("Dependent Of ", "ib6.htm#643767"));
wwh69051.addChild(new Item("Dependent ", "ib6.htm#643768"));
wwh69051.addChild(new Item("Invocations ", "ib6.htm#643769"));
var wwh69081=new Folder("Printing Graphical Views ", "ib7.htm#589651");
wwh68993.addChild(wwh69081);

wwh69081.addChild(new Item("Shrink to Fit Printing ", "ib7.htm#589086"));
wwh69081.addChild(new Item("Poster Printing ", "ib7.htm#589088"));
wwh69081.addChild(new Item("Configuring Poster Printouts ", "ib7.htm#589789"));
wwh69081.addChild(new Item("Printing on UNIX machines ", "ib7.htm#589090"));
wwh69081.addChild(new Item("Source File Printing ", "ib7.htm#653522"));
var wwh69093=new Folder("Chapter 4 Editing Your Source Code", "editor.htm#588042");
wwhtop.addChild(wwh69093);

var wwh69095=new Folder("Source Code Editor ", "editor2.htm#589652");
wwh69093.addChild(wwh69095);

wwh69095.addChild(new Item("Status Line ", "editor2.htm#610451"));
wwh69095.addChild(new Item("Status Icons ", "editor2.htm#609781"));
wwh69093.addChild(new Item("Colorizing Source Views ", "editor3.htm#607913"));
var wwh69103=new Folder("String Searching ", "editor4.htm#605160");
wwh69093.addChild(wwh69103);

wwh69103.addChild(new Item("String Search and Replacing ", "editor4.htm#611768"));
wwh69103.addChild(new Item("Go To Line... ", "editor4.htm#605174"));
wwh69103.addChild(new Item("Line Numbers ", "editor4.htm#610073"));
wwh69103.addChild(new Item("Selecting and Copy Text ", "editor4.htm#605127"));
wwh69093.addChild(new Item("Key Mappings ", "editor5.htm#612084"));
var wwh69115=new Folder("Other Features ", "editor6.htm#612089");
wwh69093.addChild(wwh69115);

wwh69115.addChild(new Item("Bracket Matching ", "editor6.htm#612091"));
wwh69115.addChild(new Item("Printing Source Files ", "editor6.htm#589974"));
wwh69115.addChild(new Item("File Display Options ", "editor6.htm#610916"));
var wwh69123=new Folder("Chapter 5 Searching Your Source", "searchin.htm#588042");
wwhtop.addChild(wwh69123);

wwh69123.addChild(new Item("Introduction ", "searchin.htm#588043"));
wwh69123.addChild(new Item("Searching - an Overview ", "searchi2.htm#588418"));
var wwh69129=new Folder("Locator Window - Find or Browse Entities ", "searchi3.htm#613900");
wwh69123.addChild(wwh69129);

wwh69129.addChild(new Item(" ", "searchi3.htm#588421"));
wwh69129.addChild(new Item("Filter Dialog Window ", "searchi3.htm#615045"));
wwh69129.addChild(new Item("Right-Click Menus ", "searchi3.htm#615093"));
wwh69129.addChild(new Item("Column Headers ", "searchi3.htm#611578"));
wwh69129.addChild(new Item("Sorting Columns ", "searchi3.htm#594138"));
wwh69129.addChild(new Item("Resizing of Columns ", "searchi3.htm#614137"));
wwh69129.addChild(new Item("Long versus Short Names ", "searchi3.htm#614130"));
wwh69129.addChild(new Item("Hiding and Re-ordering Columns ", "searchi3.htm#615952"));
wwh69129.addChild(new Item("Filtering ", "searchi3.htm#594258"));
wwh69129.addChild(new Item("Filter By Selection ", "searchi3.htm#612718"));
wwh69129.addChild(new Item("Manual Filtering ", "searchi3.htm#612746"));
wwh69129.addChild(new Item("Manual Filter Design ", "searchi3.htm#612795"));
wwh69129.addChild(new Item("Regular Expressions ", "searchi3.htm#614051"));
wwh69129.addChild(new Item("Removing Filters ", "searchi3.htm#614117"));
var wwh69159=new Folder("Using Hyper Grep to Find Things ", "searchi4.htm#613778");
wwh69123.addChild(wwh69159);

wwh69159.addChild(new Item("Controlling Searches ", "searchi4.htm#614408"));
wwh69159.addChild(new Item("Search Results ", "searchi4.htm#614620"));
var wwh69165=new Folder("Chapter 6 Text and HTML Reports", "rpts.htm#582316");
wwhtop.addChild(wwh69165);

wwh69165.addChild(new Item("Text and HTML Reports ", "rpts.htm#596915"));
var wwh69169=new Folder("Analysis and Quality Reports Overview ", "rpts2.htm#589527");
wwh69165.addChild(wwh69169);

wwh69169.addChild(new Item("Augment with the PERL or C API ", "rpts2.htm#594234"));
wwh69169.addChild(new Item("Output Formats ", "rpts2.htm#597244"));
wwh69169.addChild(new Item("Report File Naming Conventions ", "rpts2.htm#591059"));
wwh69169.addChild(new Item("Searchable Entity Index ", "rpts2.htm#593949"));
wwh69169.addChild(new Item("Generating Reports from the Command Line ", "rpts2.htm#596762"));
var wwh69181=new Folder("Cross Reference Reports ", "rpts3.htm#596813");
wwh69165.addChild(wwh69181);

wwh69181.addChild(new Item("Data Dictionary Summary Report ", "rpts3.htm#596972"));
wwh69181.addChild(new Item("Object Cross Reference ", "rpts3.htm#586694"));
wwh69181.addChild(new Item("Class/Type Cross Reference ", "rpts3.htm#586695"));
wwh69181.addChild(new Item("Function Cross Reference ", "rpts3.htm#586696"));
wwh69181.addChild(new Item("Macro Cross Reference ", "rpts3.htm#590497"));
wwh69181.addChild(new Item("Include File Cross Reference ", "rpts3.htm#590533"));
var wwh69195=new Folder("Structure Reports ", "rpts4.htm#588454");
wwh69165.addChild(wwh69195);

wwh69195.addChild(new Item("Invocation Tree Report ", "rpts4.htm#590827"));
var wwh69199=new Folder("Quality Reports ", "rpts5.htm#586712");
wwh69165.addChild(wwh69199);

wwh69199.addChild(new Item("Unused Object Report ", "rpts5.htm#597095"));
wwh69199.addChild(new Item("Unused Function Report ", "rpts5.htm#595916"));
var wwh69205=new Folder("Metrics ", "rpts6.htm#593443");
wwh69165.addChild(wwh69205);

wwh69205.addChild(new Item("Three ways to Get Metrics Information ", "rpts6.htm#597464"));
wwh69205.addChild(new Item("What Metrics are Available? ", "rpts6.htm#597512"));
wwh69205.addChild(new Item("Metric Reports ", "rpts6.htm#597574"));
wwh69205.addChild(new Item("Exporting Project Metrics Info ", "rpts6.htm#595119"));
var wwh69215=new Folder("Chapter 7 Using External Editors and Other Tools", "tools.htm#581707");
wwhtop.addChild(wwh69215);

wwh69215.addChild(new Item("Configuring Tools ", "tools2.htm#586682"));
wwh69215.addChild(new Item("Adding Tools to the Right-Click Menus ", "tools3.htm#587318"));
wwh69215.addChild(new Item("Running External Commands ", "tools4a.htm#588013"));
var wwh69223=new Folder("Chapter 8 Server Mode - Controlling from other Programs", "server.htm#582316");
wwhtop.addChild(wwh69223);

var wwh69225=new Folder("Understand Client ", "server2.htm#586660");
wwh69223.addChild(wwh69225);

wwh69225.addChild(new Item("Specifying the Project Database ", "server2.htm#589997"));
wwh69225.addChild(new Item("Specifying the Entity ", "server2.htm#590034"));
wwh69225.addChild(new Item("Opening a File ", "server2.htm#590097"));
wwh69225.addChild(new Item("Action Commands ", "server2.htm#590126"));
wwh69225.addChild(new Item("Example Client Commands ", "server2.htm#590370"));
wwh69225.addChild(new Item("Communication Method ", "server2.htm#590393"));
wwh69225.addChild(new Item("Editor Synchronization Example ", "server2.htm#586721"));
var wwh69241=new Folder("Chapter 9 Command Line Processing", "command.htm#586577");
wwhtop.addChild(wwh69241);

wwh69241.addChild(new Item("Command Line Processing ", "command.htm#586581"));
var wwh69245=new Folder("Using \"undc\" ", "command2.htm#600082");
wwh69241.addChild(wwh69245);

wwh69245.addChild(new Item("Command Line Options ", "command2.htm#600093"));
wwh69245.addChild(new Item("Creating a New Project ", "command2.htm#600146"));
wwh69245.addChild(new Item("Analyzing a Project ", "command2.htm#600168"));
var wwh69253=new Folder("Generating Reports ", "command3.htm#589532");
wwh69241.addChild(wwh69253);

wwh69253.addChild(new Item("The \"repc\" Program ", "command3.htm#597325"));
wwh69253.addChild(new Item("Generating All Text Reports ", "command3.htm#598696"));
wwh69253.addChild(new Item("Generating All HTML Reports ", "command3.htm#598906"));
wwh69253.addChild(new Item("Generating Metrics Reports ", "command3.htm#598909"));
var wwh69263=new Folder("Appendix A Graphical Notations", "appa.htm#590469");
wwhtop.addChild(wwh69263);

wwh69263.addChild(new Item("Graphical Notations ", "appa.htm#591017"));

